org.apache.solr.handler

## Class UpdateRequestHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.ContentStreamHandlerBase
    - - org.apache.solr.handler.UpdateRequestHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PermissionNameProvider

      public class UpdateRequestHandler
      extends ContentStreamHandlerBase
      implements PermissionNameProvider

  UpdateHandler that uses content-type to pick the right Loader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.security.PermissionNameProvider

      `PermissionNameProvider.Name`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADD`
    `static String` | `COMMIT`
    `static String` | `COMMIT_WITHIN`
    `static String` | `CSV_PATH`
    `static String` | `DELETE`
    `static String` | `DOC_PATH`
    `static String` | `JSON_PATH`
    `static String` | `OPTIMIZE`
    `static String` | `OVERWRITE`
    `static String` | `ROLLBACK`
    `static String` | `SOFT_COMMIT`
    `static String` | `VERSION`
    `static String` | `WAIT_SEARCHER`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.security.PermissionNameProvider

      `ANY, NULL, values`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateRequestHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,ContentStreamLoader>` | `createDefaultLoaders(NamedList args)`
    `String` | `getDescription()` Simple one or two line description
    `PermissionNameProvider.Name` | `getPermissionName(AuthorizationContext ctx)`
    `void` | `init(NamedList args)` Initializes the `SolrRequestHandler` by creating three `SolrParams` named.
    `protected ContentStreamLoader` | `newLoader(SolrQueryRequest req, UpdateRequestProcessor processor)`
    `protected void` | `setAssumeContentType(String ct)`

    - ### Methods inherited from class org.apache.solr.handler.ContentStreamHandlerBase

      `handleRequestBody`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getSubHandler, getVersion, handleRequest, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADD

          public static final String ADD

      See Also:
        Constant Field Values

    - #### DELETE

          public static final String DELETE

      See Also:
        Constant Field Values

    - #### OPTIMIZE

          public static final String OPTIMIZE

      See Also:
        Constant Field Values

    - #### COMMIT

          public static final String COMMIT

      See Also:
        Constant Field Values

    - #### ROLLBACK

          public static final String ROLLBACK

      See Also:
        Constant Field Values

    - #### WAIT_SEARCHER

          public static final String WAIT_SEARCHER

      See Also:
        Constant Field Values

    - #### SOFT_COMMIT

          public static final String SOFT_COMMIT

      See Also:
        Constant Field Values

    - #### OVERWRITE

          public static final String OVERWRITE

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### COMMIT_WITHIN

          public static final String COMMIT_WITHIN

      See Also:
        Constant Field Values

    - #### DOC_PATH

          public static final String DOC_PATH

      See Also:
        Constant Field Values

    - #### JSON_PATH

          public static final String JSON_PATH

      See Also:
        Constant Field Values

    - #### CSV_PATH

          public static final String CSV_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UpdateRequestHandler

          public UpdateRequestHandler()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Description copied from class: `RequestHandlerBase`
      Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

      Name | Description
      --- | ---
      defaults | Contains all of the named arguments contained within the list element named "defaults".
      appends | Contains all of the named arguments contained within the list element named "appends".
      invariants | Contains all of the named arguments contained within the list element named "invariants".

      Example:

           <lst name="defaults">
           <str name="echoParams">explicit</str>
           <str name="qf">text^0.5 features^1.0 name^1.2 sku^1.5 id^10.0</str>
           <str name="mm">2<-1 5<-2 6<90%</str>
           <str name="bq">incubationdate_dt:[* TO NOW/DAY-1MONTH]^2.2</str>
           </lst>
           <lst name="appends">
           <str name="fq">inStock:true</str>
           </lst>

           <lst name="invariants">
           <str name="facet.field">cat</str>
           <str name="facet.field">manu_exact</str>
           <str name="facet.query">price:[* TO 500]</str>
           <str name="facet.query">price:[500 TO *]</str>
           </lst>

      Specified by:
        `init` in interface `SolrRequestHandler`
      Overrides:
        `init` in class `ContentStreamHandlerBase`
      Parameters:
        `args` - The `NamedList` to initialize from
      See Also:
        `RequestHandlerBase.handleRequest(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `RequestHandlerBase.handleRequestBody(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `SolrPluginUtils.setDefaults(org.apache.solr.request.SolrQueryRequest, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams)`, `See also the example solrconfig.xml located in the Solr codebase (example/solr/conf).`

    - #### setAssumeContentType

          protected void setAssumeContentType(String ct)

    - #### createDefaultLoaders

          protected Map<String,ContentStreamLoader> createDefaultLoaders(NamedList args)

    - #### getPermissionName

          public PermissionNameProvider.Name getPermissionName(AuthorizationContext ctx)

      Specified by:
        `getPermissionName` in interface `PermissionNameProvider`

    - #### newLoader

          protected ContentStreamLoader newLoader(SolrQueryRequest req,
                                                  UpdateRequestProcessor processor)

      Specified by:
        `newLoader` in class `ContentStreamHandlerBase`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.